Page MenuHomePhabricator

Add 'upload' method to ImagePage
Closed, ResolvedPublic

Description

We have site.upload, but no direct method on the ImagePage object. It would make sense to do page.upload(...) instead of site.upload(page, ...).


Version: core-(2.0)
Severity: enhancement

Details

Reference
bz66561

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:24 AM
bzimport set Reference to bz66561.
bzimport added a subscriber: Unknown Object (????).
jayvdb added a subscriber: jayvdb.Feb 15 2015, 7:36 AM

Related to this, but maybe should be a separate task, is determining valid file page names for *new* files being uploaded based on filenames from other sources. See flickrripper.cleanUpTitle https://git.wikimedia.org/blob/pywikibot%2Fcore.git/0310bb2acd1417f81e9cd17e013ca6f38c4be943/scripts%2Fflickrripper.py#L212

jayvdb set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 4:27 AM
Xqt claimed this task.Aug 24 2016, 4:47 PM
Restricted Application added a subscriber: Avicennasis. · View Herald TranscriptAug 24 2016, 4:47 PM

Change 306466 had a related patch set uploaded (by Xqt):
[IMPR] Add upload to FilePage

https://gerrit.wikimedia.org/r/306466

Change 306466 merged by jenkins-bot:
[IMPR] Add upload to FilePage

https://gerrit.wikimedia.org/r/306466

Magul closed this task as Resolved.Nov 28 2016, 6:28 PM
Magul added a subscriber: Magul.

Tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Magul.png and it works properly. Closing.